std::ispunct(std::locale)(3)

NAME
std::ispunct(std::locale) - std::ispunct(std::locale)

Synopsis
   Defined in header <locale>
   template< class charT >
   bool ispunct( charT ch, const locale& loc );
   Checks if the given character is classified as an punctuation character by the given
   locale's std::ctype facet.

Parameters
   ch - character
   loc - locale

Return value
   Returns true if the character is classified as punctuation, false otherwise.

Possible implementation
   template< class charT >
   bool ispunct( charT ch, const std::locale& loc ) {
       return std::use_facet<std::ctype<charT>>(loc).is(std::ctype_base::punct, ch);
   }

Example
   Demonstrates the use of ispunct() with different locales (OS-specific). // Run this code
 #include <iostream>
 #include <locale>
 int main()
 {
     const wchar_t c = L'\u214b'; // upside-down ampersand
     std::locale loc1("C");
     std::cout << "ispunct('⅋', C locale) returned "
                << std::boolalpha << std::ispunct(c, loc1) << '\n';
     std::locale loc2("en_US.UTF-8");
     std::cout << "ispunct('⅋', Unicode locale) returned "
               << std::boolalpha << std::ispunct(c, loc2) << '\n';
 }

Output:
 isalpha('⅋', C locale) returned false
 isalpha('⅋', Unicode locale) returned true

See also
   ispunct checks if a character is a punctuation character
            (function)
   iswpunct checks if a wide character is a punctuation character
            (function)